package cn.dg32z.lon.predictionengine;

import cn.dg32z.lon.player.PlayerData;
import cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox;
import cn.dg32z.lon.utils.data.LastInstance;
import cn.dg32z.lon.utils.lists.EvictingQueue;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;

/* loaded from: cn_dg32z_lon_predictionengine.jar:cn/dg32z/lon/predictionengine/UncertaintyHandler.class */
public final class UncertaintyHandler {
    public LastInstance lastStuckSpeedMultiplier;
    public boolean isStepMovement;
    public LastInstance lastThirtyMillionHardBorder;
    public LastInstance lastStuckNorth;
    public LastInstance lastVehicleSwitch;
    public LastInstance lastUnderwaterFlyingHack;
    public LastInstance lastStuckSouth;
    public LastInstance lastFlyingTicks;
    private final PlayerData player;
    public LastInstance stuckOnEdge;
    public LastInstance lastStuckWest;
    public HashSet slimePistonBounces;
    public LastInstance lastFlyingStatusChange;
    public LastInstance lastStuckEast;
    public LastInstance lastTeleportTicks;
    public LastInstance lastHardCollidingLerpingEntity;
    public LastInstance lastPointThree;
    public EvictingQueue pistonX = new EvictingQueue(5);
    public EvictingQueue pistonY = new EvictingQueue(5);
    public EvictingQueue pistonZ = new EvictingQueue(5);
    public double xNegativeUncertainty = 0.0d;
    public double xPositiveUncertainty = 0.0d;
    public double zNegativeUncertainty = 0.0d;
    public double zPositiveUncertainty = 0.0d;
    public double yNegativeUncertainty = 0.0d;
    public double yPositiveUncertainty = 0.0d;
    public double thisTickSlimeBlockUncertainty = 0.0d;
    public double nextTickSlimeBlockUncertainty = 0.0d;
    public boolean onGroundUncertain = false;
    public boolean lastPacketWasGroundPacket = false;
    public boolean isSteppingOnSlime = false;
    public boolean isSteppingOnIce = false;
    public boolean isSteppingOnFence = false;
    public boolean isSteppingOnHoney = false;
    public boolean isSteppingOnFarmland = false;
    public boolean isSteppingOnCarpet = false;
    public boolean wasSteppingOnBouncyBlock = false;
    public boolean isSteppingOnBouncyBlock = false;
    public boolean isSteppingNearBubbleColumn = false;
    public boolean isSteppingNearScaffolding = false;
    public boolean isSteppingNearShulker = false;
    public boolean isNearGlitchyBlock = false;
    public boolean isOrWasNearGlitchyBlock = false;
    public boolean claimingLeftStuckSpeed = false;
    public boolean lastMovementWasZeroPointZeroThree = false;
    public boolean lastMovementWasUnknown003VectorReset = false;
    public boolean wasZeroPointThreeVertically = false;
    public EvictingQueue collidingEntities = new EvictingQueue(3);
    public List fishingRodPulls = new ArrayList();
    public EvictingQueue riptideEntities = new EvictingQueue(3);
    public SimpleCollisionBox fireworksBox = null;
    public SimpleCollisionBox fishingRodPullBox = null;
    public double lastHorizontalOffset = 0.0d;
    public double lastVerticalOffset = 0.0d;

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void checkForHardCollision() {
        while (hasHardCollision()) {
            this.player.uncertaintyHandler.lastHardCollidingLerpingEntity.reset();
            if (878.392822265625d - 0.1d != 878.29285f) {
                return;
            }
        }
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -2
        	at java.base/java.util.BitSet.set(BitSet.java:449)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private boolean striderCollision(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r6) {
        /*
            r5 = this;
            r0 = 0
            r7 = r0
            r0 = 0
            r8 = r0
            goto L9d
        L7:
            r0 = 1
            return r0
        L9:
            r0 = r7
            boolean r0 = r0.hasNext()
            if (r0 == 0) goto L77
            r0 = r7
            java.lang.Object r0 = r0.next()
            cn.dg32z.lon.utils.data.packetentity.PacketEntity r0 = (cn.dg32z.lon.utils.data.packetentity.PacketEntity) r0
            r8 = r0
            r0 = 4653428119993057280(0x40944c3860000000, double:1299.0550537109375)
            r1 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r0 = r0 - r1
            r1 = 1151485993(0x44a24829, float:1298.255)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L4c
            goto L9
        L2d:
            boolean r-2 = r-2.hasPassenger(r-1)
            if (r-2 != 0) goto L79
            r-2 = r8
            cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r-2 = r-2.getPossibleCollisionBoxes()
            r-1 = r6
            boolean r-2 = r-2.isIntersected(r-1)
            if (r-2 == 0) goto L79
            r-2 = 1149025392(0x447cbc70, float:1010.94434)
            r-1 = 1092772100(0x41226104, float:10.148685)
            float r-2 = r-2 - r-1
            r-1 = 1148859116(0x447a32ec, float:1000.79565)
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 == 0) goto L7
            goto L7c
        L4c:
            r0 = r8
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.entity.type.EntityType r0 = r0.getType()
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.entity.type.EntityType r1 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.entity.type.EntityTypes.STRIDER
            if (r0 != r1) goto L79
            r0 = r8
            r1 = r5
            cn.dg32z.lon.player.PlayerData r1 = r1.player
            cn.dg32z.lon.utils.latency.CompensatedEntities r1 = r1.compensatedEntities
            cn.dg32z.lon.utils.data.packetentity.PacketEntitySelf r1 = r1.getSelf()
            cn.dg32z.lon.utils.data.packetentity.PacketEntity r1 = r1.getRiding()
            if (r0 == r1) goto L79
            r0 = r8
            r1 = r8
            r2 = 1152805852(0x44b66bdc, float:1459.3706)
            r3 = 1096122596(0x415580e4, float:13.343967)
            float r2 = r2 - r3
            r3 = 1152696538(0x44b4c0da, float:1446.0266)
            int r2 = (r2 > r3 ? 1 : (r2 == r3 ? 0 : -1))
            if (r2 == 0) goto L2d
            goto L2d
        L77:
            r0 = 0
            return r0
        L79:
            goto L9
        L7c:
            r-2 = r5
            cn.dg32z.lon.player.PlayerData r-2 = r-2.player
            cn.dg32z.lon.utils.latency.CompensatedEntities r-2 = r-2.compensatedEntities
            cn.dg32z.libs.it.unimi.dsi.fastutil.ints.Int2ObjectOpenHashMap r-2 = r-2.entityMap
            cn.dg32z.libs.it.unimi.dsi.fastutil.objects.ObjectCollection r-2 = r-2.values()
            cn.dg32z.libs.it.unimi.dsi.fastutil.objects.ObjectIterator r-2 = r-2.iterator()
            r7 = r-2
            r-2 = 1146388718(0x445480ee, float:850.0145)
            r-1 = 1084850832(0x40a98290, float:5.297188)
            float r-2 = r-2 - r-1
            r-1 = 1146301929(0x44532de9, float:844.71735)
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 == 0) goto L9
            goto L7
        L9d:
            r0 = r5
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            cn.dg32z.lon.utils.latency.CompensatedEntities r0 = r0.compensatedEntities
            cn.dg32z.lon.utils.data.packetentity.PacketEntitySelf r0 = r0.getSelf()
            cn.dg32z.lon.utils.data.packetentity.PacketEntity r0 = r0.getRiding()
            boolean r0 = r0 instanceof cn.dg32z.lon.utils.data.packetentity.PacketEntityStrider
            if (r0 == 0) goto L77
            r0 = 4653910300402122752(0x409602c2c0000000, double:1408.690185546875)
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r0 = r0 - r1
            r1 = 1152385763(0x44b002e3, float:1408.0902)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L7c
            goto L7c
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.predictionengine.UncertaintyHandler.striderCollision(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox):boolean");
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0040, code lost:
    
        r5.isSteppingOnCarpet = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0050, code lost:
    
        if ((1379.4444580078125d - 0.4d) != 1379.0444f) goto L49;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0159, code lost:
    
        r5.isSteppingOnFence = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x016a, code lost:
    
        if ((1026.2213134765625d - 0.6d) == 1025.6213f) goto L60;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0170, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x00dd, code lost:
    
        r5.wasSteppingOnBouncyBlock = r5.isSteppingOnBouncyBlock;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x00f1, code lost:
    
        if ((900.0645141601562d - 0.1d) == 899.96454f) goto L25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0098, code lost:
    
        r5.isSteppingOnIce = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x00a5, code lost:
    
        if ((1342.9468f - 12.490429f) != 1330.4563f) goto L63;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0004, code lost:
    
        r5.isSteppingOnHoney = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0011, code lost:
    
        if ((549.66425f - 5.469215f) != 544.195f) goto L22;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x002a, code lost:
    
        r5.isSteppingNearBubbleColumn = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x003a, code lost:
    
        if ((1076.94775390625d - 0.2d) == 1076.7478f) goto L61;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0114, code lost:
    
        r5.isSteppingNearScaffolding = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0125, code lost:
    
        if ((716.578857421875d - 0.9d) == 715.67883f) goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0056, code lost:
    
        r5.slimePistonBounces = new java.util.HashSet();
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0069, code lost:
    
        if ((1106.1611f - 6.6017656f) == 1099.5593f) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x00c8, code lost:
    
        tickFireworksBox();
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x00d7, code lost:
    
        if ((1442.4299f - 14.010637f) != 1428.4193f) goto L13;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0003, code lost:
    
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x00ab, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x0170, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0085, code lost:
    
        r5.isSteppingOnSlime = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x0092, code lost:
    
        if ((593.626f - 14.538855f) != 579.0871f) goto L37;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x0017, code lost:
    
        r5.isSteppingOnBouncyBlock = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x0024, code lost:
    
        if ((917.50305f - 11.260866f) != 906.2422f) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x012b, code lost:
    
        r5.isSteppingOnFarmland = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x013c, code lost:
    
        if ((735.8829345703125d - 0.7d) == 735.1829f) goto L37;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0142, code lost:
    
        r5.isSteppingNearShulker = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x0153, code lost:
    
        if ((1378.045166015625d - 0.2d) != 1377.8452f) goto L34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x00c2, code lost:
    
        if ((866.7926025390625d - 0.4d) == 866.3926f) goto L46;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x00f7, code lost:
    
        r5.pistonZ.add(java.lang.Double.valueOf(0.0d));
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x010e, code lost:
    
        if ((1187.5854f - 5.1861124f) == 1182.3993f) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x006f, code lost:
    
        r5.isStepMovement = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x007f, code lost:
    
        if ((545.9120483398438d - 0.6d) != 545.3121f) goto L13;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:26:0x00d7 -> B:9:0x0040). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:30:0x0092 -> B:5:0x00f7). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:32:0x0024 -> B:15:0x0098). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:34:0x013c -> B:5:0x00f7). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:36:0x0153 -> B:33:0x012b). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void tick() {
        /*
            Method dump skipped, instructions count: 399
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.predictionengine.UncertaintyHandler.tick():void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public boolean wasAffectedByStuckSpeed() {
        return this.lastStuckSpeedMultiplier.hasOccurredSince(5);
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public boolean influencedByBouncyBlock() {
        while (!this.isSteppingOnBouncyBlock) {
            boolean z = this.wasSteppingOnBouncyBlock;
            if (!z) {
                if (752.5894165039062d - 0.3d != 752.2894f) {
                }
                return z;
            }
            if (865.5069580078125d - 0.2d != 865.30695f) {
                break;
            }
        }
        return true;
    }

    /* JADX WARN: Code restructure failed: missing block: B:18:0x00d2, code lost:
    
        if ((774.8827f - 9.979685f) == 764.903f) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x003e, code lost:
    
        if ((516.7998657226562d - 0.9d) == 515.89984f) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x0132, code lost:
    
        if (r8.isTrident() == false) goto L11;
     */
    /* JADX WARN: Removed duplicated region for block: B:29:0x00aa A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:41:0x0168  */
    /* JADX WARN: Removed duplicated region for block: B:46:0x0007 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:50:0x0187  */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:50:0x0174 -> B:33:0x00a3). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:52:0x0193 -> B:25:0x0017). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:62:0x0132 -> B:25:0x0017). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public double getVerticalOffset(cn.dg32z.lon.utils.data.VectorData r8) {
        /*
            Method dump skipped, instructions count: 413
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.predictionengine.UncertaintyHandler.getVerticalOffset(cn.dg32z.lon.utils.data.VectorData):double");
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private boolean regularHardCollision(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r7) {
        /*
            r6 = this;
            r0 = 0
            r8 = r0
            r0 = 0
            r9 = r0
            r0 = 0
            r10 = r0
            goto L8e
        La:
            r0 = r10
            boolean r0 = r0.isBoat()
            if (r0 != 0) goto L72
            r0 = r10
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.entity.type.EntityType r0 = r0.getType()
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.entity.type.EntityType r1 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.entity.type.EntityTypes.SHULKER
            if (r0 != r1) goto L53
            r0 = 4647849881430392832(0x40807ad780000000, double:527.355224609375)
            r1 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r0 = r0 - r1
            r1 = 1141095714(0x4403bd22, float:526.9552)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L8e
            goto L72
        L2f:
            r0 = r6
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            cn.dg32z.lon.utils.latency.CompensatedEntities r0 = r0.compensatedEntities
            cn.dg32z.libs.it.unimi.dsi.fastutil.ints.Int2ObjectOpenHashMap r0 = r0.entityMap
            cn.dg32z.libs.it.unimi.dsi.fastutil.objects.ObjectCollection r0 = r0.values()
            cn.dg32z.libs.it.unimi.dsi.fastutil.objects.ObjectIterator r0 = r0.iterator()
            r9 = r0
            r0 = 1153096238(0x44bada2e, float:1494.8181)
            r1 = 1092712185(0x412176f9, float:10.091546)
            float r0 = r0 - r1
            r1 = 1153013568(0x44b99740, float:1484.7266)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto Laf
            goto L8e
        L53:
            goto Laf
        L56:
            r-1.getPossibleCollisionBoxes()
            r0 = r7
            r-1.isIntersected(r0)
            if (r-1 == 0) goto L53
            r-1 = 4653500080022618112(0x40948daae0000000, double:1315.4168701171875)
            r0 = 4596373779694328218(0x3fc999999999999a, double:0.2)
            double r-1 = r-1 - r0
            r0 = 1151624945(0x44a466f1, float:1315.2169)
            double r0 = (double) r0
            int r-1 = (r-1 > r0 ? 1 : (r-1 == r0 ? 0 : -1))
            if (r-1 != 0) goto Lad
            goto Laf
        L72:
            r0 = r10
            r1 = r8
            if (r0 == r1) goto L53
            r0 = r10
            r1 = 4649465355532500992(0x4086381b60000000, double:711.0133666992188)
            r2 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r1 = r1 - r2
            r2 = 1144098216(0x44318da8, float:710.2134)
            double r2 = (double) r2
            int r1 = (r1 > r2 ? 1 : (r1 == r2 ? 0 : -1))
            if (r1 == 0) goto L56
            goto L56
        L8c:
            r1 = 0
            return r1
        L8e:
            r0 = r6
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            cn.dg32z.lon.utils.latency.CompensatedEntities r0 = r0.compensatedEntities
            cn.dg32z.lon.utils.data.packetentity.PacketEntitySelf r0 = r0.getSelf()
            cn.dg32z.lon.utils.data.packetentity.PacketEntity r0 = r0.getRiding()
            r8 = r0
            r0 = 1146267144(0x4452a608, float:842.59424)
            r1 = 1096061239(0x41549137, float:13.285453)
            float r0 = r0 - r1
            r1 = 1146049475(0x444f53c3, float:829.3088)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto Lad
            goto L2f
        Lad:
            r-1 = 1
            return r-1
        Laf:
            r0 = r9
            boolean r0 = r0.hasNext()
            if (r0 == 0) goto L8c
            r0 = r9
            java.lang.Object r0 = r0.next()
            cn.dg32z.lon.utils.data.packetentity.PacketEntity r0 = (cn.dg32z.lon.utils.data.packetentity.PacketEntity) r0
            r10 = r0
            r0 = 4647969046371762176(0x4080e738c0000000, double:540.9027099609375)
            r1 = 4606281698874543309(0x3feccccccccccccd, double:0.9)
            double r0 = r0 - r1
            r1 = 1141309484(0x4407002c, float:540.0027)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto La
            goto L2f
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.predictionengine.UncertaintyHandler.regularHardCollision(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox):boolean");
    }

    /*  JADX ERROR: Types fix failed
        jadx.core.utils.exceptions.JadxOverflowException: Type inference error: updates count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:59)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:19)
        	at jadx.core.dex.visitors.typeinference.FixTypesVisitor.visit(FixTypesVisitor.java:96)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:100:0x05b2 -> B:19:0x0366). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:100:0x05b2 -> B:21:0x0227). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:116:0x012e -> B:25:0x0421). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:116:0x012e -> B:29:0x00a7). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:18:0x03c5 -> B:11:0x02cb). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:20:0x038a -> B:11:0x02cb). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:22:0x024a -> B:7:0x0495). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:26:0x0436 -> B:7:0x0495). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:28:0x0337 -> B:9:0x047b). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:32:0x01ed -> B:7:0x0495). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:34:0x0475 -> B:15:0x063d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:40:0x03ec -> B:41:0x0546). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:48:0x031b -> B:9:0x047b). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:52:0x0150 -> B:29:0x00a7). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:54:0x0286 -> B:41:0x0546). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:54:0x0286 -> B:7:0x0495). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:56:0x0408 -> B:27:0x0321). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:56:0x0408 -> B:57:0x068e). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:62:0x0302 -> B:31:0x01ec). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:68:0x0081 -> B:72:0x01ba). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:69:0x0084 -> B:70:0x040e). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:71:0x041b -> B:13:0x043c). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:77:0x03a6 -> B:78:0x0516). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:79:0x052b -> B:27:0x0321). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:81:0x0171 -> B:57:0x068e). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:98:0x01e6 -> B:17:0x03ad). Please report as a decompilation issue!!! */
    public void tickFireworksBox() {
        /*
            Method dump skipped, instructions count: 1705
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.predictionengine.UncertaintyHandler.tickFireworksBox():void");
    }

    /* JADX WARN: Code restructure failed: missing block: B:104:0x02b1, code lost:
    
        if (r7.player.lastOnGround != false) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:105:0x016f, code lost:
    
        r14 = (0.91d * (r0 * 2.0d)) + r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:106:0x0187, code lost:
    
        if ((1331.1941f - 7.710516f) == 1323.4835f) goto L108;
     */
    /* JADX WARN: Code restructure failed: missing block: B:109:0x02bb, code lost:
    
        if (r7.player.isFlying == false) goto L108;
     */
    /* JADX WARN: Code restructure failed: missing block: B:10:0x00b2, code lost:
    
        r11 = r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:111:0x02ca, code lost:
    
        if ((823.9534912109375d - 0.6d) == 823.3535f) goto L136;
     */
    /* JADX WARN: Code restructure failed: missing block: B:113:0x0120, code lost:
    
        r1 = r7.isSteppingOnIce;
        r1 = r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:114:0x0124, code lost:
    
        if (r1 == 0) goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:116:0x0133, code lost:
    
        if ((857.7847900390625d - 0.3d) != 857.4848f) goto L102;
     */
    /* JADX WARN: Code restructure failed: missing block: B:117:0x023d, code lost:
    
        r14 = (0.8999900000000001d * (r0 * 2.0d)) + r0;
        r1 = ((1433.4698486328125d - 0.7d) > 1432.7699f ? 1 : ((1433.4698486328125d - 0.7d) == 1432.7699f ? 0 : -1));
        r1 = r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:118:0x0256, code lost:
    
        if (r1 != 0) goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x00bf, code lost:
    
        if ((1236.9503f - 14.985255f) != 1221.9651f) goto L144;
     */
    /* JADX WARN: Code restructure failed: missing block: B:121:0x0218, code lost:
    
        r0 = 0;
        r1 = ((710.12f - 12.449507f) > 697.6705f ? 1 : ((710.12f - 12.449507f) == 697.6705f ? 0 : -1));
        r1 = r1;
        r1 = r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:122:0x0224, code lost:
    
        if (r1 != 0) goto L74;
     */
    /* JADX WARN: Code restructure failed: missing block: B:124:0x01bf, code lost:
    
        if (r11 != false) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:126:0x01c6, code lost:
    
        if (r7.lastMovementWasUnknown003VectorReset == false) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:128:0x01d4, code lost:
    
        if ((1412.1757f - 5.9962463f) == 1406.1794f) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x004c, code lost:
    
        if (r8.isZeroPointZeroThree() != false) goto L143;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0053, code lost:
    
        if (r7.lastMovementWasZeroPointZeroThree == false) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0067, code lost:
    
        r1 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0073, code lost:
    
        if ((1432.0559f - 14.485943f) == 1417.57f) goto L141;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x022a, code lost:
    
        r12 = r0;
        r0 = ((531.65845f - 12.028976f) > 519.62946f ? 1 : ((531.65845f - 12.028976f) == 519.62946f ? 0 : -1));
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0237, code lost:
    
        if (r0 != 0) goto L96;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x018f, code lost:
    
        if (r11 != false) goto L27;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x008e, code lost:
    
        r1 = 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x01a9, code lost:
    
        r13 = r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x01b7, code lost:
    
        if ((582.1153564453125d - 0.3d) != 581.81537f) goto L77;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x002b, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x0192, code lost:
    
        r1 = r12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0194, code lost:
    
        if (r1 == 0) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x00c5, code lost:
    
        r1 = r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x00d1, code lost:
    
        if ((1202.9851f - 12.497719f) != 1190.4874f) goto L99;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x0197, code lost:
    
        r1 = ((583.0247192382812d - 0.9d) > 582.1247f ? 1 : ((583.0247192382812d - 0.9d) == 582.1247f ? 0 : -1));
        r1 = r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x01a3, code lost:
    
        if (r1 == 0) goto L22;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0061, code lost:
    
        if ((1487.7319f - 8.725846f) != 1479.0061f) goto L67;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x0044, code lost:
    
        r0 = 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x003e, code lost:
    
        if ((1086.0203f - 6.7996526f) != 1079.2206f) goto L77;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x0150, code lost:
    
        r14 = (0.7280000000000001d * (r0 * 2.0d)) + r0;
        r0 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x0169, code lost:
    
        if ((963.09814453125d - 0.2d) != 962.89813f) goto L154;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x0017, code lost:
    
        if (r12 == false) goto L84;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x0025, code lost:
    
        if ((866.34717f - 13.58606f) == 852.7611f) goto L105;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x025c, code lost:
    
        r14 = (0.546d * (r0 * 2.0d)) + r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0274, code lost:
    
        if ((1443.4078f - 12.440867f) != 1430.9669f) goto L134;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x00ae, code lost:
    
        r0 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x00f5, code lost:
    
        r14 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x0102, code lost:
    
        if ((534.4828f - 8.345619f) == 526.13715f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x002b, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x01da, code lost:
    
        r0 = r13;
        r0 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x01dc, code lost:
    
        if (r0 == false) goto L154;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x01df, code lost:
    
        r0 = influencedByBouncyBlock();
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x0080, code lost:
    
        if (r7.player.couldSkipTick == false) goto L96;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x01e3, code lost:
    
        if (r0 != 0) goto L61;
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x01e6, code lost:
    
        r0 = r7.isSteppingOnHoney;
        r0 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x01ea, code lost:
    
        if (r0 == false) goto L154;
     */
    /* JADX WARN: Code restructure failed: missing block: B:63:0x01ed, code lost:
    
        r0 = ((929.3685302734375d - 0.9d) > 928.4685f ? 1 : ((929.3685302734375d - 0.9d) == 928.4685f ? 0 : -1));
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x01f9, code lost:
    
        if (r0 == 0) goto L77;
     */
    /* JADX WARN: Code restructure failed: missing block: B:66:0x011b, code lost:
    
        r1 = r13;
        r1 = r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:67:0x011d, code lost:
    
        if (r1 == 0) goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:69:0x0099, code lost:
    
        if (r14 <= r0) goto L117;
     */
    /* JADX WARN: Code restructure failed: missing block: B:71:0x00a8, code lost:
    
        if ((1167.1015625d - 0.7d) == 1166.4016f) goto L151;
     */
    /* JADX WARN: Code restructure failed: missing block: B:72:0x01ff, code lost:
    
        r14 = r14 * 0.8999900000000001d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:73:0x0212, code lost:
    
        if ((1336.23f - 12.14179f) != 1324.0881f) goto L149;
     */
    /* JADX WARN: Code restructure failed: missing block: B:76:0x02da, code lost:
    
        if (r7.player.uncertaintyHandler.claimingLeftStuckSpeed == false) goto L137;
     */
    /* JADX WARN: Code restructure failed: missing block: B:78:0x02e9, code lost:
    
        if ((702.674072265625d - 0.8d) == 701.8741f) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:79:0x0108, code lost:
    
        r0 = 0.0d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0087, code lost:
    
        if (r8.isKnockback() == false) goto L96;
     */
    /* JADX WARN: Code restructure failed: missing block: B:80:0x0115, code lost:
    
        if ((634.7962646484375d - 0.3d) != 634.4963f) goto L45;
     */
    /* JADX WARN: Code restructure failed: missing block: B:81:0x0139, code lost:
    
        r14 = 0.15d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:82:0x014a, code lost:
    
        if ((1311.88232421875d - 0.4d) == 1311.4823f) goto L105;
     */
    /* JADX WARN: Code restructure failed: missing block: B:87:0x02a7, code lost:
    
        if (r13 == false) goto L108;
     */
    /* JADX WARN: Code restructure failed: missing block: B:89:0x027c, code lost:
    
        if (r13 == false) goto L153;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x008a, code lost:
    
        r0 = 1;
        r1 = r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:91:0x0286, code lost:
    
        if (r7.player.isGliding != false) goto L147;
     */
    /* JADX WARN: Code restructure failed: missing block: B:93:0x0290, code lost:
    
        if (r7.player.wasGliding == false) goto L148;
     */
    /* JADX WARN: Code restructure failed: missing block: B:95:0x029f, code lost:
    
        if ((1379.94873046875d - 0.9d) == 1379.0487f) goto L155;
     */
    /* JADX WARN: Code restructure failed: missing block: B:97:0x00d7, code lost:
    
        r14 = (0.99d * (r0 * 2.0d)) + r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:98:0x00ef, code lost:
    
        if ((612.3422f - 9.571013f) != 602.77124f) goto L61;
     */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v17 */
    /* JADX WARN: Type inference failed for: r0v19 */
    /* JADX WARN: Type inference failed for: r0v22, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v27, types: [int] */
    /* JADX WARN: Type inference failed for: r0v43 */
    /* JADX WARN: Type inference failed for: r0v44 */
    /* JADX WARN: Type inference failed for: r0v45 */
    /* JADX WARN: Type inference failed for: r0v46 */
    /* JADX WARN: Type inference failed for: r0v49, types: [int] */
    /* JADX WARN: Type inference failed for: r0v50 */
    /* JADX WARN: Type inference failed for: r0v51 */
    /* JADX WARN: Type inference failed for: r0v57 */
    /* JADX WARN: Type inference failed for: r0v58 */
    /* JADX WARN: Type inference failed for: r0v59 */
    /* JADX WARN: Type inference failed for: r0v60 */
    /* JADX WARN: Type inference failed for: r11v0 */
    /* JADX WARN: Type inference failed for: r11v1 */
    /* JADX WARN: Type inference failed for: r11v10 */
    /* JADX WARN: Type inference failed for: r11v11 */
    /* JADX WARN: Type inference failed for: r11v12 */
    /* JADX WARN: Type inference failed for: r11v13 */
    /* JADX WARN: Type inference failed for: r11v14 */
    /* JADX WARN: Type inference failed for: r11v15 */
    /* JADX WARN: Type inference failed for: r11v16 */
    /* JADX WARN: Type inference failed for: r11v17 */
    /* JADX WARN: Type inference failed for: r11v18 */
    /* JADX WARN: Type inference failed for: r11v2 */
    /* JADX WARN: Type inference failed for: r11v3 */
    /* JADX WARN: Type inference failed for: r11v4 */
    /* JADX WARN: Type inference failed for: r11v5 */
    /* JADX WARN: Type inference failed for: r11v6 */
    /* JADX WARN: Type inference failed for: r11v7 */
    /* JADX WARN: Type inference failed for: r11v8 */
    /* JADX WARN: Type inference failed for: r11v9 */
    /* JADX WARN: Type inference failed for: r12v0 */
    /* JADX WARN: Type inference failed for: r12v1 */
    /* JADX WARN: Type inference failed for: r12v10 */
    /* JADX WARN: Type inference failed for: r12v11 */
    /* JADX WARN: Type inference failed for: r12v12 */
    /* JADX WARN: Type inference failed for: r12v13 */
    /* JADX WARN: Type inference failed for: r12v14 */
    /* JADX WARN: Type inference failed for: r12v15 */
    /* JADX WARN: Type inference failed for: r12v16 */
    /* JADX WARN: Type inference failed for: r12v17 */
    /* JADX WARN: Type inference failed for: r12v18 */
    /* JADX WARN: Type inference failed for: r12v2 */
    /* JADX WARN: Type inference failed for: r12v3 */
    /* JADX WARN: Type inference failed for: r12v4 */
    /* JADX WARN: Type inference failed for: r12v5 */
    /* JADX WARN: Type inference failed for: r12v6 */
    /* JADX WARN: Type inference failed for: r12v7 */
    /* JADX WARN: Type inference failed for: r12v8 */
    /* JADX WARN: Type inference failed for: r12v9 */
    /* JADX WARN: Type inference failed for: r13v0 */
    /* JADX WARN: Type inference failed for: r13v1 */
    /* JADX WARN: Type inference failed for: r13v10 */
    /* JADX WARN: Type inference failed for: r13v11 */
    /* JADX WARN: Type inference failed for: r13v12 */
    /* JADX WARN: Type inference failed for: r13v13 */
    /* JADX WARN: Type inference failed for: r13v14 */
    /* JADX WARN: Type inference failed for: r13v15 */
    /* JADX WARN: Type inference failed for: r13v16 */
    /* JADX WARN: Type inference failed for: r13v17 */
    /* JADX WARN: Type inference failed for: r13v18 */
    /* JADX WARN: Type inference failed for: r13v2 */
    /* JADX WARN: Type inference failed for: r13v3 */
    /* JADX WARN: Type inference failed for: r13v4 */
    /* JADX WARN: Type inference failed for: r13v5 */
    /* JADX WARN: Type inference failed for: r13v6 */
    /* JADX WARN: Type inference failed for: r13v7 */
    /* JADX WARN: Type inference failed for: r13v8 */
    /* JADX WARN: Type inference failed for: r13v9 */
    /* JADX WARN: Type inference failed for: r1v12, types: [boolean] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:27:0x0194 -> B:19:0x00c5). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:29:0x01a3 -> B:4:0x0079). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:50:0x01dc -> B:13:0x011b). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:52:0x01e3 -> B:11:0x0150). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:54:0x01ea -> B:13:0x011b). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:56:0x01f9 -> B:11:0x0150). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:56:0x01f9 -> B:99:0x01bd). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:64:0x00ef -> B:11:0x0150). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:86:0x0025 -> B:87:0x00ae). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:98:0x0224 -> B:9:0x00b2). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public double getOffsetHorizontal(cn.dg32z.lon.utils.data.VectorData r8) {
        /*
            Method dump skipped, instructions count: 755
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.predictionengine.UncertaintyHandler.getOffsetHorizontal(cn.dg32z.lon.utils.data.VectorData):double");
    }

    public UncertaintyHandler(PlayerData playerData) {
        this.player = playerData;
        this.lastFlyingTicks = new LastInstance(playerData);
        this.lastFlyingStatusChange = new LastInstance(playerData);
        this.lastUnderwaterFlyingHack = new LastInstance(playerData);
        this.lastStuckSpeedMultiplier = new LastInstance(playerData);
        this.lastHardCollidingLerpingEntity = new LastInstance(playerData);
        this.lastThirtyMillionHardBorder = new LastInstance(playerData);
        this.lastTeleportTicks = new LastInstance(playerData);
        this.lastPointThree = new LastInstance(playerData);
        this.stuckOnEdge = new LastInstance(playerData);
        this.lastStuckNorth = new LastInstance(playerData);
        this.lastStuckSouth = new LastInstance(playerData);
        this.lastStuckWest = new LastInstance(playerData);
        this.lastStuckEast = new LastInstance(playerData);
        this.lastVehicleSwitch = new LastInstance(playerData);
        tick();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private boolean hasHardCollision() {
        SimpleCollisionBox expand;
        int i;
        boolean z;
        do {
            expand = this.player.boundingBox.copy().expand(1.0d);
            i = ((1181.2489f - 7.7027755f) > 1173.5461f ? 1 : ((1181.2489f - 7.7027755f) == 1173.5461f ? 0 : -1));
        } while (i != 0);
        while (!this.isSteppingNearShulker && !regularHardCollision(expand) && !striderCollision(expand)) {
            if (!boatCollision(expand)) {
                z = 0;
                if (759.7168f - 5.498967f != 754.21783f) {
                }
            } else if (1177.662109375d - 0.1d != 1177.5621f) {
                break;
            }
        }
        z = i;
        return z;
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.set(BitSet.java:449)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private boolean boatCollision(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r6) {
        /*
            r5 = this;
            r0 = 0
            r7 = r0
            r0 = 0
            r8 = r0
            r0 = 0
            r9 = r0
            goto L29
        La:
            r0 = 0
            return r0
        Lc:
            r0 = r7
            if (r0 == 0) goto L6f
            r0 = r7
            boolean r0 = r0.isBoat()
            if (r0 != 0) goto L48
            r0 = 4650610168327831552(0x408a494ee0000000, double:841.1635131835938)
            r1 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r0 = r0 - r1
            r1 = 1146230596(0x44521744, float:840.3635)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto Lc
            goto L6f
        L29:
            r0 = r5
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            cn.dg32z.lon.utils.latency.CompensatedEntities r0 = r0.compensatedEntities
            cn.dg32z.lon.utils.data.packetentity.PacketEntitySelf r0 = r0.getSelf()
            cn.dg32z.lon.utils.data.packetentity.PacketEntity r0 = r0.getRiding()
            r7 = r0
            r0 = 1152089450(0x44ab7d6a, float:1371.9192)
            r1 = 1094296782(0x4139a4ce, float:11.6027355)
            float r0 = r0 - r1
            r1 = 1151994400(0x44aa0a20, float:1360.3164)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L29
            goto Lc
        L48:
            r0 = r5
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            cn.dg32z.lon.utils.latency.CompensatedEntities r0 = r0.compensatedEntities
            cn.dg32z.libs.it.unimi.dsi.fastutil.ints.Int2ObjectOpenHashMap r0 = r0.entityMap
            cn.dg32z.libs.it.unimi.dsi.fastutil.objects.ObjectCollection r0 = r0.values()
            cn.dg32z.libs.it.unimi.dsi.fastutil.objects.ObjectIterator r0 = r0.iterator()
            r8 = r0
            r0 = 1148302784(0x4471b5c0, float:966.83984)
            r1 = 1094537892(0x413d52a4, float:11.832676)
            float r0 = r0 - r1
            r1 = 1148108917(0x446ec075, float:955.00714)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto Lb8
            goto L6c
        L6c:
            goto Lb8
        L6f:
            r0 = 0
            return r0
        L71:
            r-1.getPossibleCollisionBoxes()
            r0 = r6
            r-1.isIntersected(r0)
            if (r-1 == 0) goto L6c
            r-1 = 1145879005(0x444cb9dd, float:818.9041)
            r0 = 1086718340(0x40c60184, float:6.187685)
            float r-1 = r-1 - r0
            r0 = 1145777626(0x444b2dda, float:812.71643)
            int r-1 = (r-1 > r0 ? 1 : (r-1 == r0 ? 0 : -1))
            if (r-1 != 0) goto L6f
            goto Lb6
        L8c:
            r-1 = r9
            r0 = r7
            if (r-1 == r0) goto L6c
            r-1 = r9
            r-1.isPushable()
            if (r-1 == 0) goto L6c
            r-1 = r7
            r0 = r9
            r-1.hasPassenger(r0)
            if (r-1 != 0) goto L6c
            r-1 = r9
            r0 = 1150697474(0x44964002, float:1202.0002)
            r1 = 1091050470(0x41081be6, float:8.506811)
            float r0 = r0 - r1
            r1 = 1150627786(0x44952fca, float:1193.4934)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L71
            goto L71
        Lb6:
            r-1 = 1
            return r-1
        Lb8:
            r0 = r8
            boolean r0 = r0.hasNext()
            if (r0 == 0) goto La
            r0 = r8
            java.lang.Object r0 = r0.next()
            cn.dg32z.lon.utils.data.packetentity.PacketEntity r0 = (cn.dg32z.lon.utils.data.packetentity.PacketEntity) r0
            r9 = r0
            r0 = 4653169447534592000(0x409360f580000000, double:1240.23974609375)
            r1 = 4591870180066957722(0x3fb999999999999a, double:0.1)
            double r0 = r0 - r1
            r1 = 1151009913(0x449b0479, float:1240.1398)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L8c
            goto La
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.predictionengine.UncertaintyHandler.boatCollision(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox):boolean");
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:0x0092, code lost:
    
        if ((1102.865966796875d - 0.1d) == 1102.766f) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0020, code lost:
    
        r0 = r5.player.compensatedEntities.getSelf().getRiding();
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0032, code lost:
    
        if ((r0 instanceof cn.dg32z.lon.utils.data.packetentity.PacketEntityRideable) == false) goto L61;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0035, code lost:
    
        r9 = (cn.dg32z.lon.utils.data.packetentity.PacketEntityRideable) r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0047, code lost:
    
        if ((920.572021484375d - 0.2d) == 920.372f) goto L63;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0098, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0115, code lost:
    
        if (r9.currentBoostTime >= (r9.boostTimeMax + 20)) goto L59;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0123, code lost:
    
        if ((703.006f - 14.704895f) == 688.3011f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0008, code lost:
    
        r6 = r6 - 0.01d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x001a, code lost:
    
        if ((970.5821533203125d - 0.1d) != 970.4822f) goto L60;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x00f0, code lost:
    
        r6 = r6 - 0.25d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0102, code lost:
    
        if ((1282.993408203125d - 0.3d) != 1282.6934f) goto L73;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x0098, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x0098, code lost:
    
        continue;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x00b5, code lost:
    
        if ((1353.17236328125d - 0.7d) == 1352.4724f) goto L20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x0142, code lost:
    
        if ((700.6674194335938d - 0.4d) != 700.2674f) goto L36;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x00c1, code lost:
    
        r6 = r6 - 1.2d;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x00d2, code lost:
    
        if ((1113.3743f - 12.62536f) == 1100.7489f) goto L66;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:24:0x0102 -> B:17:0x0108). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:24:0x0102 -> B:25:0x004d). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public double reduceOffset(double r6) {
        /*
            Method dump skipped, instructions count: 382
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.predictionengine.UncertaintyHandler.reduceOffset(double):double");
    }
}
